load p1.dat
load p2.dat
load p3.dat

C=3e8;
a=280e-9
dt=1.150906e-17
max_iter = 131072
Wp=6.7320e+15

FT_field = fft(p1(:,2));
FT_result = rand(max_iter/2,2);
FT_field2 = fft(p2(:,2));
FT_result2 = rand(max_iter/2,2);
FT_field3 = fft(p3(:,2));
FT_result3 = rand(max_iter/2,2);


for i=1:max_iter/2
	FT_result(i,1) = (2*pi*(i-1)/(max_iter*dt))/Wp;
	FT_result(i,2) = abs(FT_field(i));
	FT_result2(i,1) = (2*pi*(i-1)/(max_iter*dt))/Wp;
	FT_result2(i,2) = abs(FT_field2(i));
	FT_result3(i,1) = (2*pi*(i-1)/(max_iter*dt))/Wp;
	FT_result3(i,2) = abs(FT_field3(i));
endfor


save FT_result.dat FT_result
save FT_result2.dat FT_result2
save FT_result3.dat FT_result3
